Bug 1022814 - To fix jboss-bpm-example app
To fix jboss-bpm-example app
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity unspecified
: ER5
: 6.0.0
Assigned To: Babak Mozaffari
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 02:21 EDT by Ryan Zhang
Modified: 2014-08-06 16:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (3.53 KB, text/x-log)
2013-10-24 02:22 EDT, Ryan Zhang
no flags Details
server.log (107.90 KB, text/x-log)
2013-10-24 07:07 EDT, Ryan Zhang
no flags Details

  None (edit)
Description Ryan Zhang 2013-10-24 02:21:20 EDT
Description of problem:
The jboss-bpm-example-app has been created as discussed in maillist.
There is a compile error during build and pasted in the below. Build log also attached.

 Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile (default-compile) on project mortgage-demo-client: Compilation failure: Compilation failure:
[ERROR] /home/rzhang/workspace/jboss-bpm-example-app/mortgage-demo-client/src/main/java/src/com/redhat/bpms/examples/mortgage/PopulateServlet.java:[16,62] error: cannot find symbol
[ERROR] class RemoteConfiguration
[ERROR] /home/rzhang/workspace/jboss-bpm-example-app/mortgage-demo-client/src/main/java/src/com/redhat/bpms/examples/mortgage/PopulateServlet.java:[108,42] error: cannot find symbol
[ERROR] -> [Help 1]


Version-Release number of selected component (if applicable):


How reproducible:



Steps to Reproduce:
1.git clone https://github.com/jboss-integration/jboss-bpm-example-app
2.mvn clean package
3.

Actual results:


Expected results:
No compile error

Additional info:
Comment 1 Ryan Zhang 2013-10-24 02:22:40 EDT
Created attachment 815632 [details]
build.log
Comment 4 Ryan Zhang 2013-10-24 07:07:29 EDT
Created attachment 815729 [details]
server.log
Comment 15 Ryan Zhang 2013-12-06 06:06:01 EST
I think the titled issue (compile erro) has gone and can be verified. 
However there is another issue stop the bpm example app to deploy (See
https://bugzilla.redhat.com/show_bug.cgi?id=1033590 ), which can only be retested in ER6. (The code fixing it is ready though)

The latest one at the moment is in http://dev138.mw.lab.eng.bos.redhat.com/candidate/bpms-6.0.0-ER5/ .
Comment 17 Jan Hrcek 2014-01-08 02:17:08 EST
Ok, verified with BPMS 6.0.0 ER7.
Cloned the demo from internal git repo and compiled/packaged it sucessfully. The package then successfully deployed in business central

Note You need to log in before you can comment on or make changes to this bug.